For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
HomeGuidesAPI ReferenceGlossary
HomeGuidesAPI ReferenceGlossary
  • API Reference
      • GETSearch invoices
      • POSTCreate
      • GETGet
      • POSTUpdate
      • DELDelete
      • GETEvents
        • GETGet Attachments
        • POSTUpload Attachment
        • DELDelete Attachment
        • GETGet Invoice PDF
        • GETGet Check PDF
        • GETGet Payment Confirmation PDF
        • GETGet Source Email
Logo
Sign inBook a demo
API ReferenceInvoiceDocument

Get Attachments

GET
https://api.mercoa.com/invoice/:invoiceId/documents
GET
/invoice/:invoiceId/documents
$curl https://api.mercoa.com/invoice/in_26e7b5d3-a739-4b23-9ad9-6aaa085f47a9/documents \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "mimeType": "application/pdf",
4 "type": "INVOICE",
5 "uri": "https://mercoa.com/pdf/not-real.pdf",
6 "id": "doc_37e6af0a-e637-48fd-b825-d6947b38c4e2"
7 }
8]

Get attachments (scanned/uploaded PDFs and images) associated with this invoice

Was this page helpful?
Previous

Upload Attachment

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

invoiceIdstringRequired
Invoice ID or Invoice ForeignID

Query parameters

typeenumOptional
Filter by document type

Response

This endpoint returns a list of objects.
mimeTypestring
typeenum
uristring
idstring
ID of the document. If not provided, this is a dynamic document that is generated on the fly.

Errors

400
Bad Request
401
Unauthorized
403
Forbidden
404
Not Found
409
Conflict
500
Internal Server Error
501
Unimplemented